<?php
// Oturum başlatmadan önce kontrol
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}

// Güvenlik başlıkları
header('X-Frame-Options: SAMEORIGIN');
header('Strict-Transport-Security: max-age=31536000; includeSubDomains');
header('X-XSS-Protection: 1; mode=block');
header('X-Content-Type-Options: nosniff');

// Oturumda kullanıcı bilgisi varsa çıkış yap
if (isset($_SESSION['eposta'])) {
    // Oturumdaki tüm verileri temizle
    unset($_SESSION['eposta']);

    // Oturum sonlandırma
    if (session_destroy()) {
        // Güvenli bir şekilde çerezleri temizleme
        setcookie('epostaHatirla', '', time() - 3600, '/', null, true, true); // HTTP only ve Secure flag kullanarak çerezi temizle
        setcookie('parolaHatirla', '', time() - 3600, '/', null, true, true); // HTTP only ve Secure flag kullanarak çerezi temizle

        // Çıkış işlemi tamamlandığında, kullanıcıyı giriş sayfasına yönlendir
        header("Location: index.php");
        exit; // Redirect sonrası başka işlem yapılmasın diye çıkış
    }
} else {
    // Kullanıcı zaten çıkış yapmışsa, ana sayfaya yönlendirilebilir
    header("Location: index.php");
    exit;
}
?>
