<?php
// Çıktı tamponlamayı aç (header hatasını önlemek için)
ob_start();

// Güvenlik başlıkları
@header('X-Frame-Options: SAMEORIGIN');
@header('Strict-Transport-Security: max-age=31536000; includeSubDomains');
@header('X-XSS-Protection: 1; mode=block');
@header('X-Content-Type-Options: nosniff');

// Dosyaya doğrudan erişimi engellemek için kontrol
if (basename(__FILE__) == basename($_SERVER['PHP_SELF'])) {
    die("Bu dosyaya doğrudan erişim engellenmiştir.");
}

// Oturum zaten başlatıldıysa yeniden başlatmamaya dikkat et
if (session_status() == PHP_SESSION_NONE) {
    session_start(); // Oturum başlat
}

// Ortam değişkenlerinden veritabanı bağlantısı için gerekli bilgileri çekiyoruz
$baglantim = "";
$host = getenv('DB_HOST') ?: 'localhost'; // 'localhost' varsayılan değer
$dbname = getenv('DB_NAME') ?: 'stok';   // 'stok' varsayılan değer
$user = getenv('DB_USER') ?: 'root';     // 'root' varsayılan değer
$pass = getenv('DB_PASS') ?: 'QazWsx159.'; // Veritabanı şifresi, ortam değişkeninden çekilebilir

try {
    // PDO ile veritabanı bağlantısını yapıyoruz
    $baglantim = new PDO(
        "mysql:host=$host; dbname=$dbname;",
        $user, $pass
    );

    // PDO error mode'u Exception olarak ayarlıyoruz, böylece hatalar doğru şekilde yönetilebilir
    $baglantim->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

} catch(PDOException $e) {
    // Hata mesajını ekrana yazdırmak yerine, sadece hata kodunu yazdırıyoruz
    // Detaylı hata mesajlarını log dosyasına yazdırmak için aşağıdaki gibi kullanabilirsiniz
    error_log("Veritabanı bağlantı hatası: " . $e->getMessage());
    die("Veritabanı bağlantı hatası.");
}

?>
