<?php
require_once 'inc/guvenlik.php';

$errors = [];
$data = [];

// Form verilerinin doğrulama
if (empty($_POST['ad22'])) {
    $errors['ad22'] = 'Zorunlu alan';
} else {
    $ad22 = trim($_POST['ad22']);
    if (strlen($ad22) < 3) {
        $errors['ad22'] = 'Ad en az 3 karakter olmalıdır.';
    }
}

if (empty($_POST['kategori2'])) {
    $errors['kategori2'] = 'Zorunlu alan';
}

if (!empty($errors)) {
    $data['success'] = false;
    $data['errors'] = $errors;
} else {
    $data['success'] = true;
    $data['message'] = 'Eklendi!';

    $KategoriDuzenleID = $_POST['KategoriDuzenleID'];
    $ad22 = htmlspecialchars($ad22, ENT_QUOTES, 'UTF-8'); // XSS koruması
    $kategori2 = $_POST['kategori2'];

    // Verileri güvenli hale getirelim
    $id = explode(',', $kategori2)[0]; // Kategori ID'sini alıyoruz

    // Kategori ID'sini güvenli hale getirelim
    $KategoriDuzenleID = (int) $KategoriDuzenleID;  // ID'nin sayısal değer olduğunu kontrol edelim

    // SQL sorgusunu hazırlayalım
    $kategori_duzenle = "UPDATE kategori SET 
                         ad=:ad22 
                         WHERE id=:id";

    try {
        $kategori_duzenle_stmt = $baglantim->prepare($kategori_duzenle);
        // Parametreli sorgu ile değerleri bağlayalım
        $kategori_duzenle_stmt->bindParam(':ad22', $ad22, PDO::PARAM_STR);
        $kategori_duzenle_stmt->bindParam(':id', $id, PDO::PARAM_INT);

        $kategori_duzenle_stmt->execute();

        // Başarılı işlem
        if ($kategori_duzenle_stmt->rowCount() > 0) {
            $data['success'] = true;
            $data['message'] = 'Kayıt Başarılı!';
        } else {
            $data['success'] = false;
            $data['message2'] = 'Değişiklik yapılmadı veya veri zaten mevcut!';
        }
    } catch (PDOException $e) {
        // Hata durumunda
        $data['success'] = false;
        $data['errors'] = ['database' => 'Veritabanı hatası: ' . $e->getMessage()];
    }
}

// JSON formatında yanıt döndür
echo json_encode($data);
