<?php
require_once 'inc/guvenlik.php';
?>

<h4>Kategori Ekle</h4>
<form id="KategoriEklemeFormu" class="row g-3" action="kategori-ekleDB.php" method="post">
    <div id="kategoriAd1" class="col-md-6 form-select-sm">
        <label for="kategoriAd" class="form-label">Kategori Adı</label>
        <input type="text" name="kategoriAd" class="form-control form-select-sm input_ad" id="kategoriAd" required>
    </div>

    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->
    <div id="kategori1" class="col-md-6 form-select-sm">
        <label for="kategoriler" class="form-label">Kategori Seç</label>
        <?php
        try {
            $kategori = "WITH RECURSIVE cte AS
            (
                SELECT id, CAST(ad AS CHAR(200)) AS ad,
                CAST(ad AS CHAR(200)) AS yol,
                CAST(ad AS CHAR(200)) AS path,
                0 as derinlik
                FROM kategori WHERE kategori_id = 0
                UNION ALL
                SELECT c.id,
                CONCAT(REPEAT(' - ', cte.derinlik+1), c.ad),
                CONCAT(cte.path, ' > ', c.ad),
                CONCAT(cte.yol, ' > ', c.ad),
                cte.derinlik+1
                FROM kategori c JOIN cte ON
                cte.id=c.kategori_id
            )
            SELECT * FROM cte ORDER BY path;";
            $kategori_sonuc = $baglantim->query($kategori);
            $kategori_sonuc->setFetchMode(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            // Veritabanı hatasını güvenli şekilde yakala ve kullanıcıya hata mesajı döndür
            die("Veri çekilirken bir problem oluştu: " . htmlspecialchars($e->getMessage()));
        }

        // Kategori seçeneklerini oluşturma
        echo '<select name="kategoriler" id="kategoriler" class="form-select form-select-sm" size="20">';
        while ($kategori_satir = $kategori_sonuc->fetch()) {
            // Cizgileri ve boşlukları temizleme
            $silinecek_cizgi = $kategori_satir['ad'];
            $cizgi_sil = str_replace(' - ', '', $silinecek_cizgi);

            // Kategorinin ID'si ve yolunu güvenli şekilde HTML'e yerleştir
            echo '<option value="' . htmlspecialchars($kategori_satir['id'] . ',' . $kategori_satir['yol'], ENT_QUOTES, 'UTF-8') . '" title="' . htmlspecialchars($cizgi_sil, ENT_QUOTES, 'UTF-8') . '">' . htmlspecialchars($kategori_satir['ad'], ENT_QUOTES, 'UTF-8') . '</option>';
        }
        echo '</select>';
        ?>
    </div>
    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->

    <div class="col-6 text-first">
        <span id="EklemeMesaji"></span>
    </div>
    <div class="col-12 text-end">
        <button type="submit" class="btn btn-primary btn-sm">Kaydet</button>
    </div>
</form>