<?php
require_once 'inc/guvenlik.php';

$errors = [];
$data = [];

// Kategori adı zorunlu alan
if (empty($_POST['kategoriAd'])) {
    $errors['kategoriAd'] = 'Zorunlu alan';
}

// Kategoriler seçilmediyse, id 0 olmalı
if (empty($_POST['kategoriler'])) {
    $id = 0;
} else {
    $kategori2 = $_POST['kategoriler'];
    $id = explode(',', $kategori2)[0];  // İlk virgülden önceki kısmı alıyoruz
}

// Eğer hata varsa, yanıtı döndür
if (!empty($errors)) {
    $data['success'] = false;
    $data['errors'] = $errors;
} else {
    // Güvenli veri işleme
    $data['success'] = true;
    $data['message'] = 'Eklendi!';

    $ad = $_POST['kategoriAd'];
    $ad = trim($ad);  // Gereksiz boşlukları temizle

    // Kategori eklemek için parametreli sorgu kullanma
    try {
        $kategori_ekle = "INSERT INTO kategori (ad, kategori_id) VALUES (:ad, :kategori_id)";
        $stmt = $baglantim->prepare($kategori_ekle);
        $stmt->execute([
            "ad" => htmlspecialchars($ad, ENT_QUOTES, 'UTF-8'),  // XSS koruması
            "kategori_id" => (int)$id  // Veritabanına tam sayi gönder
        ]);

        // Kategori ekleme sonucunu kontrol et
        if ($stmt->rowCount() > 0) {
            $data['message'] = 'Veritabanına başarıyla eklendi!';
        } else {
            $data['success'] = false;
            $data['message'] = 'Kategori eklenirken bir hata oluştu!';
        }
    } catch (PDOException $e) {
        // PDO hatası yakalama ve güvenli bir mesaj döndürme
        $data['success'] = false;
        $data['message'] = 'Veritabanı hatası: ' . htmlspecialchars($e->getMessage(), ENT_QUOTES, 'UTF-8');
    }
}

// JSON olarak yanıtı döndürme
echo json_encode($data);
