<?php
require_once 'inc/guvenlik.php';

// Rekursif silme işlemi
function rekursifSil($id, $baglantim)
{
    // Hazırlanmış ifadeler kullanarak SQL Injection'a karşı koruma sağlıyoruz
    $sorgu = $baglantim->prepare("SELECT * FROM kategori WHERE kategori_id = :id");
    $sorgu->bindParam(':id', $id, PDO::PARAM_INT); // Parametreyi güvenli bir şekilde bağlıyoruz
    $sorgu->execute();

    if ($sorgu->rowCount() > 0) {
        while ($simdiki = $sorgu->fetch(PDO::FETCH_ASSOC)) {
            rekursifSil($simdiki['id'], $baglantim); // Rekursif olarak kategori alt kategorilerini siler
        }
    }

    // Kategoriyi güvenli bir şekilde silme
    $silSorgu = $baglantim->prepare("DELETE FROM kategori WHERE id = :id");
    $silSorgu->bindParam(':id', $id, PDO::PARAM_INT); // Parametreyi güvenli bir şekilde bağlıyoruz
    $silSorgu->execute();
}

// Kullanıcıdan gelen id'yi güvenli bir şekilde alıyoruz
if (isset($_POST['id']) && is_numeric($_POST['id'])) {
    rekursifSil($_POST['id'], $baglantim);
} else {
    echo 'Geçersiz ID parametresi.';
}
?>
