<?php
require_once 'inc/guvenlik.php';
?>
<h5>Ürün Listesi</h5>
<table id="tablom" class="display" style="width:100%">

    <thead>
    <tr>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
    </tr>
    </thead>

    <tfoot>
    <tr>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
    </tr>
    </tfoot>


    <tbody>
    <?php


    $liste = $baglantim->prepare("WITH RECURSIVE cte_lokasyon AS (
    SELECT l.id AS lokasyon_id, 
           COALESCE(NULLIF(l.ad, ''), '---') AS lokasyon_ad, 
           l.lokasyon_id AS lokasyon_lokasyon_id, 
           0 AS derinlik,
           COALESCE(NULLIF(l.ad, ''), '---') AS tam_lokasyon
    FROM lokasyon l
    WHERE l.lokasyon_id = 0  

    UNION ALL

    SELECT l.id AS lokasyon_id, 
           COALESCE(NULLIF(l.ad, ''), '---') AS lokasyon_ad, 
           l.lokasyon_id AS lokasyon_lokasyon_id, 
           cte_lokasyon.derinlik + 1 AS derinlik,
           CONCAT(cte_lokasyon.tam_lokasyon, ' > ', COALESCE(NULLIF(l.ad, ''), '---')) AS tam_lokasyon
    FROM lokasyon l
    JOIN cte_lokasyon ON cte_lokasyon.lokasyon_id = l.lokasyon_id  
),
cte_kategori AS (
    SELECT k.id AS kategori_id, 
           COALESCE(NULLIF(k.ad, ''), '---') AS kategori_ad, 
           k.kategori_id AS kategori_kategori_id, 
           0 AS derinlik,
           COALESCE(NULLIF(k.ad, ''), '---') AS tam_kategori
    FROM kategori k
    WHERE k.kategori_id = 0  

    UNION ALL

    SELECT k.id AS kategori_id, 
           COALESCE(NULLIF(k.ad, ''), '---') AS kategori_ad, 
           k.kategori_id AS kategori_kategori_id, 
           cte_kategori.derinlik + 1 AS derinlik,
           CONCAT(cte_kategori.tam_kategori, ' > ', COALESCE(NULLIF(k.ad, ''), '---')) AS tam_kategori
    FROM kategori k
    JOIN cte_kategori ON cte_kategori.kategori_id = k.kategori_id  
),
cte_paket AS (
    SELECT p.id AS paket_id, 
           COALESCE(NULLIF(p.ad, ''), '---') AS paket_ad, 
           p.paket_id AS paket_paket_id, 
           0 AS derinlik,
           COALESCE(NULLIF(p.ad, ''), '---') AS tam_paket
    FROM paket p
    WHERE p.paket_id = 0  

    UNION ALL

    SELECT p.id AS paket_id, 
           COALESCE(NULLIF(p.ad, ''), '---') AS paket_ad, 
           p.paket_id AS paket_paket_id, 
           cte_paket.derinlik + 1 AS derinlik,
           CONCAT(cte_paket.tam_paket, ' > ', COALESCE(NULLIF(p.ad, ''), '---')) AS tam_paket
    FROM paket p
    JOIN cte_paket ON cte_paket.paket_id = p.paket_id  
)
SELECT 
    COALESCE(NULLIF(cte_lokasyon.lokasyon_id, ''), '---') AS lokasyon_id,
    COALESCE(NULLIF(cte_lokasyon.lokasyon_ad, ''), '---') AS lokasyon_ad,
    COALESCE(NULLIF(cte_lokasyon.tam_lokasyon, ''), '---') AS tam_lokasyon,
    COALESCE(NULLIF(cte_kategori.kategori_id, ''), '---') AS kategori_id,
    COALESCE(NULLIF(cte_kategori.kategori_ad, ''), '---') AS kategori_ad,
    COALESCE(NULLIF(cte_kategori.tam_kategori, ''), '---') AS tam_kategori,
    COALESCE(NULLIF(cte_paket.paket_id, ''), '---') AS paket_id,
    COALESCE(NULLIF(cte_paket.paket_ad, ''), '---') AS paket_ad,
    COALESCE(NULLIF(cte_paket.tam_paket, ''), '---') AS tam_paket,
    COALESCE(NULLIF(komp.id, ''), '---') AS komponent_id,
    COALESCE(NULLIF(komp.ad, ''), '---') AS komponent_ad,
    COALESCE(NULLIF(komp.ek_bilgi, ''), '---') AS ek_bilgi,
    COALESCE(NULLIF(komp.adet, ''), '---') AS adet,
    COALESCE(NULLIF(uretici.id, ''), '---') AS uretici_id,
    COALESCE(NULLIF(uretici.ad, ''), '---') AS uretici_ad,
    COALESCE(NULLIF(tedarikci.id, ''), '---') AS tedarikci_id,
    COALESCE(NULLIF(tedarikci.ad, ''), '---') AS tedarikci_ad
FROM komponent komp
LEFT JOIN cte_lokasyon ON cte_lokasyon.lokasyon_id = komp.lokasyon_id
LEFT JOIN cte_kategori ON cte_kategori.kategori_id = komp.kategori_id
LEFT JOIN cte_paket ON cte_paket.paket_id = komp.paket_id
LEFT JOIN uretici ON uretici.id = komp.uretici_id
LEFT JOIN tedarikci ON tedarikci.id = komp.tedarikci_id
ORDER BY komp.id DESC;
");

    $liste->execute();
    $sonuc = $liste->fetchAll();

    foreach ($sonuc as $satir) {
        $ad = htmlspecialchars(html_entity_decode($satir['komponent_ad']));
        $kategori1 = htmlspecialchars(html_entity_decode($satir['tam_kategori']));
        $uretici1 = htmlspecialchars(html_entity_decode($satir['uretici_ad']));
        $tedarikci1 = htmlspecialchars(html_entity_decode($satir['tedarikci_ad']));
        $lokasyon1 = htmlspecialchars(html_entity_decode($satir['tam_lokasyon']));
        $paket = htmlspecialchars(html_entity_decode($satir['tam_paket']));


        // Tam kategori verisini alıyoruz
        $ustkategori = $satir['tam_kategori'];

        // '>' işaretinin indeksini buluyoruz
        $position = strpos($ustkategori, '>');

        // Eğer '>' işareti bulunursa, bu pozisyondan önceki kısmı alıyoruz
        if ($position !== false) {
            // '>' işaretinden önceki kısmı alıyoruz
            $ustkategori1 = substr($ustkategori, 0, $position);
        } else {
            // Eğer '>' işareti bulunmazsa, tam metni geri döndürüyoruz
            $ustkategori1 = $ustkategori;
        }

        // HTML entitelerini geri çözüyoruz (örneğin: &amp; → &)

        ?>

        <tr>
            <?php echo "<td>" . $satir['komponent_id'] . "</td>" ?>
            <td style="text-align: left;!important"></td>
            <?php echo "<td>" . $ad . "</td>" ?>
            <?php echo "<td>" . $satir['ek_bilgi'] . "</td>" ?>
            <?php echo "<td>" . html_entity_decode($ustkategori1) . "</td>" ?>
            <?php echo "<td>" . $kategori1 . "</td>" ?>
            <?php echo "<td>" . $paket . "</td>" ?>
            <?php echo "<td>" . $uretici1 . "</td>" ?>
            <?php echo "<td>" . $tedarikci1 . "</td>" ?>
            <?php //echo "<td>" . $paket = substr($satir['paket'], ($kes = strpos($satir['paket'], ',')) !== false ? $kes + 1 : 0) . "</td>" ?>
            <?php echo "<td>" . $lokasyon1 . "</td>" ?>
            <?php echo "<td>" . $satir['adet'] . "</td>" ?>

        </tr>

    <?php } ?>


    </tbody>

</table>

<script>
    $(document).ready(function () {
        var benimTablom = $('#tablom').DataTable({

            //aktif deaktif edilecek kolonları seçer
            layout: {
                bottomStart: {
                    buttons: [
                        {
                            extend: 'copyHtml5',
                            exportOptions: {
                                columns: [1, 2, 3, 4, 5, 6, 7, 8, 9]
                            }
                        },
                        {
                            extend: 'excelHtml5',
                            exportOptions: {
                                columns: [1, 2, 3, 4, 5, 6, 7, 8, 9]
                            }
                        },
                        {
                            extend: 'pdfHtml5',
                            orientation: 'landscape',//yatay dikey
                            pageSize: 'A4', //kağıt formatı
                            alignment: "center", //hizalama
                            titleAttr: 'PDF',   //buton adı
                            exportOptions: {
                                columns: [1, 2, 3, 4, 5, 6, 7, 8, 9]
                            }
                        },
                        {
                            extend: 'csvHtml5',
                            exportOptions: {
                                columns: [1, 2, 3, 4, 5, 6, 7, 8, 9]
                            }
                        },
                    ]
                },
                top: {
                    buttons: [
                        {
                            // extend: 'columnsToggle', //buton menü şeklinde gösterir
                            extend: 'colvis',
                            //columns: ':not(.noVis)',
                            columns: ':eq(1),:eq(2),:eq(2),:eq(3),:eq(4),:eq(5),:eq(6),:eq(7),:eq(8),:eq(9)', // Kolonlari gizle goster menusunde gosterilecek girdiler
                            collectionLayout: 'fixed columns',
                            popoverTitle: 'Kolonlar'
                        }
                    ],
                },
                top1: {
                    searchBuilder: {
                        columns: ':not(.no-sb)',
                        conditions: {
                            num: {
                                MultipleOf: {
                                    conditionName: 'Multiple Of',
                                    init: function (that, fn, preDefined = null) {
                                        var el = document.createElement('input');
                                        el.addEventListener('input', function () {
                                            fn(that, this);
                                        });
                                        if (preDefined !== null) {
                                            el.value = preDefined[0];
                                        }

                                        return el;
                                    },
                                    inputValue: function (el) {
                                        return el[0].value;
                                    },
                                    isInputValid: function (el, that) {
                                        return el[0].value.length !== 0;
                                    },
                                    search: function (value, comparison) {
                                        return value % comparison === 0;
                                    }
                                }
                            }
                        }

                    }
                }

            },
            //aktif deaktif edilecek kolonları seçer

            stateSave: false,
            colReorder: {
                columns: ':not(:first-child, :last-child)' //ilk ve son kolonun surukle islevini durdurur
            },
            responsive: true,
            AutoWidth: false,
            searchHighlight: true,
            //paging: false,  sayfalamayi kontrol eder
            //scrollY: '200px', // tablonun yatay yuksekligi
            stateSaveCallback: function (settings, data) {
                localStorage.setItem(
                    'DataTables_' + settings.sInstance,
                    JSON.stringify(data)
                );
            },
            stateLoadCallback: function (settings) {
                return JSON.parse(localStorage.getItem('DataTables_' + settings.sInstance));
            },

            "pageLength": 10, // varsayilan olarak gosterilecek kayit
            columns: [
                {title: "Id", "data": "iD", defaultContent: '', "visible": false},
                {title: "No", "data": "no", "width": "0%"},
                {title: "Ürün", "data": "urun", "width": "20%"},
                {title: "Ek Bilgi", "data": "ekbilgi", "width": "40%"},
                {title: "Kategori", "data": "kategori", "width": "1%"},
                {title: "Alt Kategori", "data": "kategori2", "width": "20%"},
                {title: "Paket", "data": "paket", "width": "30%"},
                {title: "Üretici", "data": "uretici", "width": "10%"},
                {title: "Tedarikçi", "data": "tedarikci", "width": "10%"},
                //{title: "Paket", "data": "paket", "width": "1%"},
                {title: "Lokasyon", "data": "lokasyon", "width": "30%"},
                {title: "Adet", "data": "adet", "width": "0%"},
                {title: "İşlemler", "data": "iD", "width": "0%"}


            ],
            columnDefs: [
                {targets: [0, 1, 10], className: 'no-sb'},
                {searchable: false, targets: [9, 10]},
                {
                    targets: [0],
                    className: 'noVis'
                },

                {targets: [0, 1, 10], searchable: false}, // arama yapilmamasini istedigimiz kolanlar
                {"bSortable": false, "aTargets": [0, 1, 8, 9]}, // siralama olmamasini istedigimiz hucre 1, 3, 5 vs gibi
                {"targets": 0, "data": 'iD'},
                {"targets": 1, "data": 'no'},
                {"targets": 2, "data": 'urun'},
                {"targets": 3, "data": 'ekbilgi'},
                {"targets": 4, "data": 'kategori'},
                {"targets": 5, "data": 'kategori2'},
                {"targets": 6, "data": 'paket'},
                {"targets": 7, "data": 'uretici'},
                {"targets": 8, "data": 'tedarikci'},
                {"targets": 9, "data": 'lokasyon'},
                {"targets": 10, "data": 'adet'},

                {
                    "targets": [11],
                    "data": 'iD',
                    "render": function (data) {
                        return '<div class="btn-group"><a href="index.php?sayfa=KomponentDetay&KomponentDetayID=' + data + '"> <button class="btn btn-sm btn-outline-secondary mx-1 DetayBTN" id=' + data + '><i class="fa fa-eye"></i></button></a> <a href="index.php?sayfa=KomponentDuzenle&KomponentDuzenleID=' + data + '"> <button class="btn btn-sm btn-outline-primary mx-1 duzenleBTN" id=' + data + '><i class="fa fa-pencil"></i></button></a> <button class="btn btn-outline-danger btn-sm mx-1 KomsilBTN" id=' + data + '><i class="fa fa-trash-can"></button></div>'
                    },
                },
                //aramada vurgulanmasını ıstemedıgımız kolonu secelım.
                {
                    targets: [0, 1, 8, 9, 10],
                    className: 'search-hilite',
                },
                //aramada vurgulanmasını ıstemedıgımız kolonu secelım.


            ],
            order: [[0, '']],
            language: {
                sInfoEmpty: '',
                info: 'Sayfa : _PAGE_ / _PAGES_',
                infoEmpty: 'Kayit bulunamadi',
                infoFiltered: '(_MAX_ kayıt icinden arandi)',
                lengthMenu: '_MENU_ &nbsp;&nbsp; göster',
                zeroRecords: 'Aramada kayit bulunamadi',
                sSearch: 'Ara:',
                sEmptyTable: 'Veritabaninda kayit bulunamadi',
            },
        });

        //aramada vurgulanmasını ıstemedıgımız kolonu secelım.
        benimTablom.on('draw', function () {
            var body = $('.search-hilite', benimTablom.table().body());

            body.unhighlight();
            // body.highlight(benimTablom.search());
        });
        //aramada vurgulanmasını ıstemedıgımız kolonu secelım.

// alt kısımmda açılır menü ile filtreleme yapar

        buildSelect(benimTablom);
        benimTablom.on('draw', function () {
            buildSelect(benimTablom);
        });
// alt kısımmda açılır menü ile filtreleme yapar
        // no tablo sutununa sıra no eklesın
        benimTablom.on('order.dt search.dt', function () {
            let i = 1;

            benimTablom.cells(null, 1, {search: 'applied', order: 'applied'}).every(function (cell) {
                this.data(i++);
            });
        }).draw();
        // no tablo sutununa sıra no eklesın
    });

    // alt kısımmda açılır menü ile filtreleme yapar
    function buildSelect(benimTablom) {
        benimTablom.columns([4,5]).every(function () { // [4, 5, 8]) 4, 5, 8 nolu kolonlarda alt kısımda dropdown menu ile filtreleme acar
            var column = benimTablom.column(this, {search: 'applied'});
            var select = $('<select><option value=""> Filtreleme Yok </option></select>')
                .appendTo($(column.footer()).empty())
                .on('change', function () {
                    var val = $.fn.dataTable.util.escapeRegex(
                        $(this).val()
                    );

                    column
                        .search(val ? '^' + val + '$' : '', true, false)
                        .draw();
                });

            column.data().unique().sort().each(function (d, j) {
                select.append('<option value="' + d + '">' + d + '</option>');
            });

            var currSearch = column.search();
            console.log(currSearch)
            if (currSearch) {
                var unescaped = currSearch.replace(/\\/g, '');
                console.log(unescaped)
                select.val(unescaped.substring(1, unescaped.length - 1));
            }
        });
    }
    // alt kısımmda açılır menü ile filtreleme yapar
</script>>