<?php
require_once 'inc/guvenlik.php'; // Güvenlik dosyasını dahil et

// Rekursif silme işlemi
function RekursifSil($id, $baglantim)
{
    $baglan2 = $baglantim;

    // ID'yi güvenli hale getir
    $id = htmlspecialchars(trim($id));

    // Veritabanında dosya adı değişmeden önce dosyayı silmek için sorgulama işlemleri yapmalıyız
    $DosyaSil = $baglantim->prepare("SELECT gorsel FROM komponent WHERE id = :id");
    $DosyaSil->bindParam(':id', $id, PDO::PARAM_INT);
    $DosyaSil->execute();
    $sonuc = $DosyaSil->fetch();

    // Dosyayı silelim ve veritabanındaki veriyi kaldıralım
    if ($sonuc) {
        $gorsel = $sonuc['gorsel'];

        // Dosya mevcutsa sil
        if (file_exists($gorsel)) {
            @unlink($gorsel); // Dosya silme işlemi
        }

        // Komponenti silmek için güvenli sorgu
        $silKomponent = $baglantim->prepare("DELETE FROM komponent WHERE id = :id");
        $silKomponent->bindParam(':id', $id, PDO::PARAM_INT);
        $silKomponent->execute();
    }
}

// Silme işlemi başlatılıyor
if (isset($_POST['id']) && !empty($_POST['id'])) {
    RekursifSil($_POST['id'], $baglantim);
    $data['success'] = true;
    $data['message'] = 'Veri başarıyla silindi.';
} else {
    $data['success'] = false;
    $data['message'] = 'Geçersiz ID.';
}

echo json_encode($data);
?>
