<?php
// guvenlik kodlarini dahil et
require_once 'inc/guvenlik.php';

// Tekli dosya silme işlemi
if (isset($_POST['delete_id'])) {
    $fileId = intval($_POST['delete_id']); // ID güvenliği için tam sayı olarak al

    // Dosya bilgilerini veritabanından çek
    $sql = "SELECT * FROM uploads WHERE id = ?";
    $stmt = $baglantim->prepare($sql);
    $stmt->execute([$fileId]);
    $file = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($file) {
        $filePath = $file['file_path'];

        // Dosya fiziksel olarak varsa sil
        if (file_exists($filePath)) {
            unlink($filePath);
        }

        // Veritabanından kaydı sil
        $sql = "DELETE FROM uploads WHERE id = ?";
        $stmt = $baglantim->prepare($sql);
        $stmt->execute([$fileId]);

        $_SESSION['message'] = 'Dosya başarıyla silindi!';
    } else {
        $_SESSION['message'] = 'Dosya bulunamadı!';
    }

    // Güvenli yönlendirme
    if (!headers_sent()) {
        header("Location: index.php?sayfa=DosyaListesi");
        exit();
    } else {
        echo "<script>window.location.href='index.php?sayfa=DosyaListesi';</script>";
        exit();
    }
}

// Toplu dosya silme işlemi
if (isset($_POST['delete_selected'])) {
    if (!empty($_POST['file_ids']) && is_array($_POST['file_ids'])) {
        foreach ($_POST['file_ids'] as $fileId) {
            $fileId = intval($fileId); // ID güvenliği için tam sayı olarak al

            // Dosya bilgilerini veritabanından çek
            $sql = "SELECT * FROM uploads WHERE id = ?";
            $stmt = $baglantim->prepare($sql);
            $stmt->execute([$fileId]);
            $file = $stmt->fetch(PDO::FETCH_ASSOC);

            if ($file) {
                $filePath = $file['file_path'];

                // Dosya fiziksel olarak varsa sil
                if (file_exists($filePath)) {
                    unlink($filePath);
                }

                // Veritabanından kaydı sil
                $sql = "DELETE FROM uploads WHERE id = ?";
                $stmt = $baglantim->prepare($sql);
                $stmt->execute([$fileId]);
            }
        }

        $_SESSION['message'] = 'Seçili dosyalar başarıyla silindi!';
    } else {
        $_SESSION['message'] = 'Silinecek dosya seçilmedi!';
    }

    // Güvenli yönlendirme
    if (!headers_sent()) {
        header("Location: index.php?sayfa=DosyaListesi");
        exit();
    } else {
        echo "<script>window.location.href='index.php?sayfa=DosyaListesi';</script>";
        exit();
    }
}

// Veritabanından yüklenmiş dosyaları çek
$sql = "SELECT * FROM uploads ORDER BY upload_time DESC";
$stmt = $baglantim->query($sql);
$files = $stmt->fetchAll(PDO::FETCH_ASSOC);
$totalFilesCount = count($files);

// Dosya önizleme fonksiyonu
function getFilePreview($fileName, $filePath) {
    $fileExtension = strtolower(pathinfo($fileName, PATHINFO_EXTENSION));

    // Resim dosyaları için önizleme
    if (in_array($fileExtension, ['jpg', 'jpeg', 'png', 'gif', 'webp'])) {
        return '<img src="' . htmlspecialchars($filePath) . '" alt="Dosya Önizleme" style="width: 100%; height: 180px; object-fit: cover; border-radius: 8px;">';
    }

    // Diğer dosya türleri için ikonlar
    $icons = [
        'pdf'  => '<i class="fas fa-file-pdf" style="font-size: 100px; color: #e74c3c;"></i>',
        'doc'  => '<i class="fas fa-file-word" style="font-size: 100px; color: #3498db;"></i>',
        'docx' => '<i class="fas fa-file-word" style="font-size: 100px; color: #3498db;"></i>',
        'xls'  => '<i class="fas fa-file-excel" style="font-size: 100px; color: #2ecc71;"></i>',
        'xlsx' => '<i class="fas fa-file-excel" style="font-size: 100px; color: #2ecc71;"></i>',
        'zip'  => '<i class="fas fa-file-archive" style="font-size: 100px; color: #f39c12;"></i>',
        'rar'  => '<i class="fas fa-file-archive" style="font-size: 100px; color: #f39c12;"></i>',
        'txt'  => '<i class="fas fa-file-alt" style="font-size: 100px; color: #7f8c8d;"></i>',
    ];

    return $icons[$fileExtension] ?? '<i class="fas fa-file" style="font-size: 100px; color: #95a5a6;"></i>';
}

// Çıktı tamponlamayı kapat
ob_end_flush();
?>


<style>
        .page-title {
            font-size: 2.5rem;
            text-align: center;
            margin-bottom: 40px;
            font-weight: 700;
            color: #333;
        }

        .file-preview-container {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
            gap: 30px;
        }

        .file-preview {
            background-color: #ffffff;
            border-radius: 10px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            padding: 20px;
            transition: all 0.3s ease;
            text-align: center;
            position: relative;
        }

        .file-preview:hover {
            transform: translateY(-5px);
            box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15);
        }

        .file-preview img, .file-preview i {
            width: 100%;
            height: 180px;
            object-fit: cover;
            border-radius: 8px;
            transition: all 0.3s ease;
        }

        .file-preview:hover img, .file-preview:hover i {
            transform: scale(1.05);
        }

        .file-name {
            font-size: 14px;
            color: #333;
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: nowrap;
            max-width: 200px;
            margin-top: 10px;
            font-weight: 600;
        }

        .file-size {
            font-size: 12px;
            color: #7f8c8d;
            margin-top: 5px;
        }

        .file-checkbox {
            position: absolute;
            bottom: 15px;
            right: 15px;
            transform: scale(1.5);
        }

        .delete-icon {
            position: absolute;
            top: 5px;
            right: 5px;
            color: red;
            padding: 5px;
            border-radius: 50%;
            cursor: pointer;
            font-size: 18px;
            display: none; /* Hide initially */
            z-index: 10;
            background-color: transparent; /* Remove background color */
            border: 0 solid #ecf0f1; /* Add border to make the icon visible */
        }

        .file-preview:hover .delete-icon {
            display: block; /* Show on hover */
        }

        .btn-select-all, .btn-delete-selected {
            width: 100%;
            padding: 12px 15px;
            font-size: 16px;
            border-radius: 0;
            transition: background-color 0.3s ease;
            margin: 30px 30px 10px 0;
        }

        .btn-select-all {
            background-color: #3498db;
            color: #fff;
            border: none;
        }

        .btn-select-all:hover {
            background-color: #2980b9;
        }

        .btn-delete-selected {
            background-color: #e74c3c;
            color: #fff;
            border: none;
        }

        .btn-delete-selected:hover {
            background-color: #c0392b;
        }

        .alert {
            font-weight: 600;
            display: none;
            margin-top: 20px;
        }

        .alert.show {
            display: block;
        }

        /* Responsive design */
        @media (max-width: 767px) {
            .file-preview {
                padding: 15px;
            }

            .file-preview img {
                height: 150px;
            }

            .file-name {
                font-size: 13px;
            }

            .file-size {
                font-size: 11px;
            }

        }
    </style>

        <h5>Yüklü dosyalar</h5>


<!-- Success or Error Messages -->
<?php if (isset($_SESSION['message'])): ?>
    <div class="alert alert-success show" id="success-message"><?php echo $_SESSION['message']; ?></div>
    <?php unset($_SESSION['message']); ?> <!-- Clear the message after displaying -->
<?php endif; ?>

<!-- Total Files Count & Selected Files Count -->
<div class="text-center mb-4">
    <p><strong>Toplam Dosya: </strong><?php echo $totalFilesCount; ?></p>
    <p><strong>Seçilen Dosya: </strong><span id="selectedFilesCount">0</span></p>
</div>

<!-- Files List -->
<?php if ($totalFilesCount > 0): ?>
    <form action="index.php?sayfa=DosyaListesi" method="POST">
        <!-- Select All Files Button -->
        <!-- Search Input -->
        <div class="search-container mb-4">
            <input type="text" id="fileSearchInput" class="form-control" placeholder="Dosya ismiyle ara..." oninput="filterFiles()">
        </div>
        <div class="select-all-container">
            <button type="button" class="btn-select-all" onclick="toggleSelectAll()">Tümünü Seç</button>
        </div>



        <div class="file-preview-container" id="filePreviewContainer">
            <?php foreach ($files as $file): ?>
                <div class="file-preview" data-file-name="<?php echo htmlspecialchars($file['file_name']); ?>">
                    <!-- File Preview or Icon wrapped with label for checkbox selection -->
                    <label onclick="toggleCheckbox(<?php echo $file['id']; ?>)">
                        <?php echo getFilePreview($file['file_name'], $file['file_path']); ?>
                    </label>

                    <!-- File name -->
                    <div class="file-name" title="<?php echo htmlspecialchars($file['file_name']); ?>">
                        <?php echo htmlspecialchars($file['file_name']); ?>
                    </div>

                    <!-- File size -->
                    <div class="file-size"><?php echo round($file['file_size'] / 1024 / 1024, 2) . ' MB'; ?></div>

                    <!-- File selection checkbox -->
                    <div class="file-checkbox">
                        <input type="checkbox" name="file_ids[]" value="<?php echo $file['id']; ?>" id="checkbox-<?php echo $file['id']; ?>" onclick="updateSelectedCount()">
                    </div>

                    <!-- Delete icon on hover -->
                    <a href="javascript:void(0);" class="delete-icon" onclick="deleteFile(<?php echo $file['id']; ?>)">
                        <i class="fas fa-times"></i>
                    </a>
                </div>
            <?php endforeach; ?>
        </div>

        <!-- Delete button -->
        <div class="text-center">
            <button type="submit" name="delete_selected" class="btn-delete-selected" onclick="return confirm('Seçili dosyaları silmek istiyormusun?');">Seçili Dosyaları Sil</button>
        </div>
    </form>
    <button id="goToTop" class="btn btn-primary position-fixed bottom-0 end-0 m-3">
        <i class="fas fa-arrow-up"></i>
    </button>
    <button id="goToBottom" class="btn btn-primary position-fixed bottom-0 end-0 m-3">
        <i class="fas fa-arrow-down"></i>
    </button>
<?php else: ?>
    <div class="alert alert-info">Hiç dosya yüklenmemiş.</div>
<?php endif; ?>


<script>
    // Handle "Select All" functionality
    function toggleSelectAll() {
        var checkboxes = document.querySelectorAll('input[type="checkbox"]');
        var allChecked = Array.from(checkboxes).every(checkbox => checkbox.checked);

        // Toggle the checkboxes' state
        checkboxes.forEach(function(checkbox) {
            checkbox.checked = !allChecked;
        });

        // Update "Select All" button text dynamically
        var selectAllButton = document.querySelector('.btn-select-all');
        selectAllButton.textContent = allChecked ? 'Tüm Dosyaları Seç' : 'Tüm Dosyaların Seçimini Kaldır';

        // Update selected files count
        updateSelectedCount();
    }

    // Toggle checkbox when thumbnail (label) is clicked
    function toggleCheckbox(fileId) {
        var checkbox = document.getElementById('checkbox-' + fileId);
        checkbox.checked = !checkbox.checked;

        // Update selected files count
        updateSelectedCount();

        // Update the "Select All" button based on manual selection/deselection
        updateSelectAllButton();
    }

    // Update the selected files count
    function updateSelectedCount() {
        var checkboxes = document.querySelectorAll('input[type="checkbox"]:checked');
        document.getElementById('selectedFilesCount').textContent = checkboxes.length;
    }

    // Update the "Select All" button text based on the state of the checkboxes
    function updateSelectAllButton() {
        var checkboxes = document.querySelectorAll('input[type="checkbox"]');
        var allChecked = Array.from(checkboxes).every(checkbox => checkbox.checked);
        var selectAllButton = document.querySelector('.btn-select-all');

        // Change the button text depending on whether all files are selected or not
        selectAllButton.textContent = allChecked ? 'Tüm Dosyaların Seçimini Kaldır' : 'Tüm Dosyaları Seç';
    }

    // Delete file using a hidden form
    function deleteFile(fileId) {
        if (confirm('Bu dosyayı silmek istiyormusun?')) {
            // Create a hidden form to send the delete request
            var form = document.createElement('form');
            form.method = 'POST';
            form.action = 'index.php?sayfa=DosyaListesi'; // Same page for processing

            var input = document.createElement('input');
            input.type = 'hidden';
            input.name = 'delete_id';
            input.value = fileId;

            form.appendChild(input);
            document.body.appendChild(form);

            form.submit(); // Submit the form to delete the file
        }
    }

    // Auto-hide success/error message after 5 seconds
    setTimeout(function() {
        $('#success-message, #error-message').fadeOut(1000);
    }, 5000);  // 5000ms = 5 seconds

    // Filter files based on search input
    function filterFiles() {
        var searchQuery = document.getElementById('fileSearchInput').value.toLowerCase();
        var filePreviews = document.querySelectorAll('.file-preview');

        filePreviews.forEach(function(filePreview) {
            var fileName = filePreview.getAttribute('data-file-name').toLowerCase();
            if (fileName.includes(searchQuery)) {
                filePreview.style.display = 'block';
            } else {
                filePreview.style.display = 'none';
            }
        });
    }


    $(document).ready(function () {
        var debounceTimeout;

        // Scroll to the top
        $('#goToTop').on('click', function () {
            $('html, body').animate({ scrollTop: 0 }, 'smooth');
        });

        // Scroll to the bottom
        $('#goToBottom').on('click', function () {
            $('html, body').animate({ scrollTop: $(document).height() }, 'smooth');
        });

        // Show/Hide scroll buttons based on scroll position
        $(window).on('scroll', function () {
            var scrollPosition = $(this).scrollTop();
            var documentHeight = $(document).height();
            var windowHeight = $(window).height();

            // Show "Go to Top" when scrolled down 100px or more
            if (scrollPosition > 100) {
                $('#goToTop').fadeIn();
            } else {
                $('#goToTop').fadeOut();
            }

            // Show "Go to Bottom" when the user hasn't scrolled to the bottom
            if (scrollPosition < documentHeight - windowHeight - 100) {
                $('#goToBottom').fadeIn();
            } else {
                $('#goToBottom').fadeOut();
            }
        });

        // Initial check on page load to show buttons based on scroll position
        $(window).trigger('scroll');
    });
</script>
