<?php
require_once 'inc/guvenlik.php'; // Güvenlik dosyasını dahil et

$errors = [];
$data = [];

if (empty($_POST['ad22'])) {
    $errors['ad22'] = 'Zorunlu alan';
}
if (empty($_POST['kategori2'])) {
    $errors['kategori2'] = 'Zorunlu alan';
}

if (!empty($errors)) {
    $data['success'] = false;
    $data['errors'] = $errors;
} else {
    $data['success'] = true;
    $data['message'] = 'Eklendi!';

    // Kullanıcıdan gelen veriyi al ve temizle
    $KategoriDuzenleID = $_POST['KategoriDuzenleID']; // POST edilen ID
    $ad22 = htmlspecialchars(trim($_POST['ad22'])); // Veriyi temizle
    $kategori2 = $_POST['kategori2'];

    // Virgulden önceki kısmı al
    $id = explode(',', $kategori2)[0]; // set edilecek id

    // Kategori düzenle ID'sini almak
    $kategori_Id = substr($KategoriDuzenleID, ($kes = strpos($KategoriDuzenleID, ',')) !== false ? $kes + 1 : 0); // set edilecek kategori id'si

    // Prepared statement kullanarak SQL Injection'dan korunma
    $kategori_duzenle = "UPDATE lokasyon SET ad = :ad WHERE id = :id";

    try {
        // Komponent düzenleme işlemini gerçekleştirelim
        $kategori_duzenle_stmt = $baglantim->prepare($kategori_duzenle);
        $kategori_duzenle_stmt->bindParam(':ad', $ad22, PDO::PARAM_STR);
        $kategori_duzenle_stmt->bindParam(':id', $id, PDO::PARAM_INT);
        $kategori_duzenle_stmt->execute();

        // Düzenleme sonucunu kontrol et
        if ($kategori_duzenle_stmt->rowCount() > 0) {
            $data['success'] = true;
            $data['message'] = 'Kayıt Başarılı!';
        } else {
            $data['success'] = false;
            $data['errors'] = $errors;
            $data['message2'] = 'Değişiklik olmadı!';
        }
    } catch (PDOException $e) {
        // Hata durumunda
        $data['success'] = false;
        $data['errors'] = ['exception' => 'Bir hata oluştu: ' . $e->getMessage()];
    }
}

echo json_encode($data);
?>
