<?php
require_once 'inc/guvenlik.php'; // Güvenlik dosyasını dahil et

$errors = [];
$data = [];

// Verilerin doğruluğunu kontrol et
if (empty($_POST['lokasyonAd'])) {
    $errors['lokasyonAd'] = 'Zorunlu alan';
}

// Hata varsa geri dön
if (!empty($errors)) {
    $data['success'] = false;
    $data['errors'] = $errors;
} else {
    $data['success'] = true;
    $data['message'] = 'Eklendi!';

    // Veriyi temizle ve güvenli hale getir
    $ad = $_POST['lokasyonAd'];
    $ad = trim($ad); // Gereksiz boşluklardan temizle
    $ad = htmlspecialchars($ad, ENT_QUOTES, 'UTF-8'); // XSS koruması için htmlspecialchars

    // Kategori seçili mi kontrol et
    if (!empty($_POST['lokasyonlar'])) {
        $kategori2 = $_POST['lokasyonlar'];
        // Virgulden önceki id'yi al
        $id = explode(',', $kategori2)[0]; // set edilecek id
    } else {
        $id = 0; // Eğer kategori seçilmediyse, id 0 olarak ayarla
    }

    // Veritabanına veri ekle
    try {
        $kategori_ekle = "INSERT INTO lokasyon (ad, lokasyon_id)
                          VALUES (:ad, :lokasyon_id)";
        $kategori_ekle = $baglantim->prepare($kategori_ekle);
        $kategori_ekle->execute([
            "ad" => $ad,
            "lokasyon_id" => $id
        ]);

        // Veri ekleme sonucu
        if ($kategori_ekle->rowCount() > 0) {
            $data['success'] = true;
            $data['message'] = 'Veritabanına Eklendi!';
        } else {
            $data['success'] = false;
            $data['message'] = 'Veri eklenirken bir hata oluştu.';
        }

    } catch (PDOException $e) {
        $data['success'] = false;
        $data['message'] = 'Veri eklenirken bir hata oluştu: ' . htmlspecialchars($e->getMessage());
    }
}

// JSON formatında sonucu döndür
echo json_encode($data);
