<?php
require_once 'inc/guvenlik.php'; // Güvenlik dosyasını dahil et

// Rekursif Silme Fonksiyonu
function RekursifSil($id, $baglantim)
{
    // Verinin geçerli ve güvenli olduğundan emin ol
    if (!is_numeric($id)) {
        return false; // Eğer geçerli bir ID değilse, işleme devam etme
    }

    // Bağlantı ve parametreli sorgu kullanımı
    $sorgu = $baglantim->prepare("SELECT * FROM lokasyon WHERE lokasyon_id = :lokasyon_id");
    $sorgu->execute([':lokasyon_id' => $id]);

    // Eğer alt lokasyonlar varsa, onları sil
    if ($sorgu->rowCount() > 0) {
        while ($simdiki = $sorgu->fetch(PDO::FETCH_ASSOC)) {
            RekursifSil($simdiki['id'], $baglantim);
        }
    }

    // Şimdi bu lokasyonu sil
    $sil = $baglantim->prepare("DELETE FROM lokasyon WHERE id = :id");
    $sil->execute([':id' => $id]);

    // Eğer silme işlemi başarılı ise, true döner
    return true;
}

// Kullanıcıdan gelen id parametresi
if (isset($_POST['id'])) {
    $id = $_POST['id'];

    // Geçerli bir ID olup olmadığını kontrol et
    if (is_numeric($id)) {
        // Rekursif silme fonksiyonunu çağır
        RekursifSil($id, $baglantim);
    } else {
        // Geçersiz ID hatası
        echo "Geçersiz ID!";
    }
}
?>
