<?php
require_once 'inc/guvenlik.php';

// Paket ID'yi güvenli hale getirelim
$DuzenlemeID = isset($_GET['PaketDuzenleID']) ? (int)$_GET['PaketDuzenleID'] : 0; // Tip güvenliği için intval veya (int) kullanıldı

// Veritabanından veriyi almak için parametreli sorgu kullan
$sql = "SELECT * FROM paket WHERE id = :id";
$kd = $baglantim->prepare($sql);
$kd->bindParam(':id', $DuzenlemeID, PDO::PARAM_INT);
$kd->execute();
$kds = $kd->fetch(PDO::FETCH_ASSOC);

// Eğer veri bulunmazsa işlem yapma
if (!$kds) {
    die("Geçersiz paket ID'si.");
}
?>

<h5>Paket Düzenle</h5>
<form id="paket_duzenle" class="row g-3" action="paket-duzenleDB.php" method="post">
    <div id="ad_2" class="col-md-6 form-select-sm">
        <label for="ad22" class="form-label">Yeni Ad</label>
        <input type="text" name="ad22" value="<?php echo htmlspecialchars($kds['ad'], ENT_QUOTES, 'UTF-8'); ?>" class="form-control form-select-sm input_ad2" id="ad22">
    </div>
    <input id="PaketDuzenleID" type="hidden" name="PaketDuzenleID" value="<?php echo htmlspecialchars($DuzenlemeID, ENT_QUOTES, 'UTF-8'); ?>">

    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->
    <div id="kategori_2" class="col-md-6 form-select-sm">
        <label for="kategori2" class="form-label">Paket Ağacındaki Konumu</label>
        <?php
        try {
            // Parametreli sorgu ile güvenli veri çekme
            $kategori = "WITH RECURSIVE cte AS
            (
              SELECT id, CAST(ad AS CHAR(200)) AS ad,
                     CAST(ad AS CHAR(200)) AS yol,
                     CAST(ad AS CHAR(200)) AS path,
                     CAST(paket_id AS CHAR(200)) AS katID,
                     0 as derinlik
              FROM paket WHERE paket_id = 0
              UNION ALL
              SELECT c.id,
                     CONCAT(REPEAT(' - ', cte.derinlik+1), c.ad),
                     CONCAT(cte.path, ' > ', c.ad),
                     CONCAT(cte.yol, ',', c.ad),
                     CONCAT(cte.id),
                     cte.derinlik+1
              FROM paket c JOIN cte ON
              cte.id=c.paket_id
            )
            SELECT * FROM cte ORDER BY path;";
            $kategori_sonuc = $baglantim->query($kategori);
            $kategori_sonuc->setFetchMode(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            die("Veri çekilirken bir problem oluştu: " . htmlspecialchars($e->getMessage(), ENT_QUOTES, 'UTF-8'));
        }

        echo '<select name="kategori2" id="kategori2" class="form-select form-select-sm" size="20">';

        while ($kategori_satir = $kategori_sonuc->fetch()) {
            $id = explode(',', $DuzenlemeID)[0]; // set edilecek id

            $isaretle = '';
            $devredisi = '';
            if ($id == $kategori_satir['id']) {
                $isaretle = "selected='selected'";
                $devredisi = '';
            } else {
                $isaretle = '';
                $devredisi = "disabled='disabled'";
            }

            $silinecek_cizgi = $kategori_satir['ad'];
            $cizgi_sil = str_replace(' - ', '', $silinecek_cizgi);
            ?>

            <option value="<?= htmlspecialchars($kategori_satir['id'] . ',' . $kategori_satir['yol'], ENT_QUOTES, 'UTF-8'); ?>" <?php echo $devredisi . $isaretle; ?>>
                <?= htmlspecialchars($kategori_satir['ad'], ENT_QUOTES, 'UTF-8'); ?>
            </option>
        <?php }
        echo '</select>';
        ?>
    </div>
    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->

    <div class="col-6 text-first">
        <span id="DuzenleMesaji"></span>
    </div>
    <div class="col-6 text-end">
        <button type="submit" class="btn btn-primary btn-sm">Kaydet</button>
    </div>
</form>