<?php
require_once 'inc/guvenlik.php';
?>

<h5>Paket Ekle</h5>
<form id="PaketEklemeFormu" class="row g-3" action="paket-ekleDB.php" method="post">
    <div id="paketAd1" class="col-md-6 form-select-sm">
        <label for="paketAd" class="form-label">Paket Adı</label>
        <input type="text" name="paketAd" class="form-control form-select-sm input_ad" id="paketAd" required>
    </div>

    <!-- LOKASYON ÇEKME BÖLÜMÜ -->
    <div id="kategori1" class="col-md-6 form-select-sm">
        <label for="paketler" class="form-label">Paket Seç</label>
        <?php
        try {
            // Güvenli sorgu: Prepared Statement
            $kategori_sql = "WITH RECURSIVE cte AS (
                                SELECT id, CAST(ad AS CHAR(200)) AS ad,
                                       CAST(ad AS CHAR(200)) AS yol,
                                       CAST(ad AS CHAR(200)) AS path,
                                       0 AS derinlik
                                FROM paket WHERE paket_id = 0
                                UNION ALL
                                SELECT c.id,
                                       CONCAT(REPEAT(' - ', cte.derinlik+1), c.ad),
                                       CONCAT(cte.path, ' > ', c.ad),
                                       CONCAT(cte.yol, ' > ', c.ad),
                                       cte.derinlik+1
                                FROM paket c JOIN cte ON cte.id = c.paket_id
                              )
                              SELECT * FROM cte ORDER BY path";
            $kategori_sonuc = $baglantim->query($kategori_sql);
            $kategori_sonuc->setFetchMode(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            die("Veri çekilirken bir problem oluştu !!!" . $e->getMessage());
        }

        echo '<select name="paketler" id="paketler" class="form-select form-select-sm" size="20">';
        while ($kategori_satir = $kategori_sonuc->fetch()) {
            // XSS koruması için htmlspecialchars kullan
            $silinecek_cizgi = htmlspecialchars($kategori_satir['ad'], ENT_QUOTES, 'UTF-8');
            $cizgi_sil = str_replace(' - ', '', $silinecek_cizgi);

            // Güvenli şekilde çıktı ver
            echo '<option value="' . htmlspecialchars($kategori_satir['id'] . ',' . $kategori_satir['yol'], ENT_QUOTES, 'UTF-8') . '" title="' . $cizgi_sil . '">' . $silinecek_cizgi . '</option>';
        }
        echo '</select>';
        ?>
    </div>
    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->

    <div class="col-6 text-first">
        <span id="EklemeMesaji"></span>
    </div>
    <div class="col-12 text-end">
        <button type="submit" class="btn btn-primary btn-sm">Kaydet</button>
    </div>
</form>