<?php
// Veritabanı bağlantısı
require_once 'inc/baglan.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// PHPMailer autoload ve dosyalar
set_include_path(get_include_path() . PATH_SEPARATOR . __DIR__ . '/PHPMailer/src');
require 'PHPMailer.php';
require 'Exception.php';
require 'SMTP.php';

$mail = new PHPMailer(true);

if (isset($_POST['eposta'])) {
    $eposta = $_POST['eposta'];

    // Veritabanında e-posta adresini kontrol ediyoruz
    $query = "SELECT * FROM uye WHERE eposta = :eposta AND aktif = 1";
    $stmt = $baglantim->prepare($query);
    $stmt->bindParam(':eposta', $eposta, PDO::PARAM_STR);
    $stmt->execute();

    if ($stmt->rowCount() > 0) {
        // Kullanıcıyı bulduysak, şifre sıfırlama bağlantısı gönderiyoruz
        $token = bin2hex(random_bytes(16)); // Benzersiz bir token oluşturuyoruz

        // Token'ı veritabanında saklıyoruz
        $updateQuery = "UPDATE uye SET parolaunuttum = :token WHERE eposta = :eposta";
        $updateStmt = $baglantim->prepare($updateQuery);
        $updateStmt->bindParam(':token', $token);
        $updateStmt->bindParam(':eposta', $eposta);
        $updateStmt->execute();

        // PHPMailer ile e-posta gönderiyoruz
        try {
            $mail->isSMTP();
            $mail->Host = 'smtp.gmail.com';  // SMTP sunucu adresi
            $mail->SMTPAuth = true;
            $mail->Username = 'eposta adresini yaz';  // SMTP kullanıcı adı
            $mail->Password = 'eposta şifreni yaz';  // SMTP şifresi
            $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
            $mail->Port = 587;

            $mail->setFrom('eposta adresini yaz', 'Web Sitesi Adı');
            $mail->addAddress($eposta);

            $mail->isHTML(true);
            $mail->Subject = 'Parola Sıfırlama Talebi';
            $mail->Body = "Parola sıfırlama işlemini başlatmak için aşağıdaki linki tıklayın:<br><a href='http://localhost/komponent/parola-sifirla-islem.php?token=$token'>Parola Sıfırlama Linki</a>";

            $mail->send();
            echo '<div class="alert alert-success">E-postanıza sıfırlama talimatları gönderilmiştir.</div>';
        } catch (Exception $e) {
            echo '<div class="alert alert-danger">E-posta gönderilemedi. Hata: ' . $mail->ErrorInfo . '</div>';
        }
    } else {
        echo '<div class="alert alert-danger">Bu e-posta adresi sistemde kayıtlı değil veya aktif değil.</div>';
    }
}
?>
