<?php
// guvenlik kodlarini dahil et
require_once 'inc/guvenlik.php';

$response = ['success' => false, 'message' => ''];

// AJAX isteğiyle gelen verileri al
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['component_id']) && isset($_POST['file_id'])) {

        $componentId = $_POST['component_id'];
        $fileId = $_POST['file_id'];

        // Fetch the current 'dosyalar' field for this component
        $sql = "SELECT dosyalar FROM komponent WHERE id = :component_id";
        $stmt = $baglantim->prepare($sql);
        $stmt->execute([':component_id' => $componentId]);
        $currentFiles = $stmt->fetchColumn();

        // If there are files associated with the component, remove the file_id from 'dosyalar'
        if ($currentFiles) {
            $filesArray = explode(',', $currentFiles);
            $filesArray = array_filter($filesArray, function($file) use ($fileId) {
                return $file != $fileId;  // Remove the file ID to be deleted
            });
            $updatedFiles = implode(',', $filesArray);

            // Update the 'dosyalar' field in the database
            $updateSql = "UPDATE komponent SET dosyalar = :updated_files WHERE id = :component_id";
            $updateStmt = $baglantim->prepare($updateSql);
            $updateStmt->execute([
                ':updated_files' => $updatedFiles,
                ':component_id' => $componentId
            ]);

            $response['success'] = true;
            $response['message'] = 'Tag successfully removed from the component.';
        } else {
            $response['message'] = 'No associated files found for this component.';
        }
    } else {
        $response['message'] = 'Missing component_id or file_id.';
    }
}

echo json_encode($response);
ob_end_flush();
?>
