<?php
require_once 'inc/guvenlik.php';

// ID'yi alırken güvenli hale getirme
$DuzenlemeID = isset($_GET['TedarikciDuzenleID']) ? (int)$_GET['TedarikciDuzenleID'] : 0; // ID'yi integer olarak doğrulama

// Veritabanından Tedarikçi verisini almak için prepared statement kullanıyoruz
$kd = $baglantim->prepare("SELECT * FROM tedarikci WHERE id = :id");
$kd->execute(['id' => $DuzenlemeID]);
$kds = $kd->fetch();

// Verileri güvenli şekilde ekrana basma (XSS koruması)
$ad_tedarikci = htmlspecialchars($kds['ad'], ENT_QUOTES, 'UTF-8');
?>

<h5>Tedarikçi Düzenle</h5>
<form id="tedarikci_duzenle" class="row g-3" action="tedarikci-duzenleDB.php" method="post">
    <div id="ad_222" class="col-md-6 form-select-sm">
        <label for="ad2222" class="form-label">Yeni Ad</label>
        <input type="text" name="ad_tedarikci" value="<?php echo $ad_tedarikci; ?>"
               class="form-control form-select-sm input_ad2"
               id="ad_tedarikci">
    </div>
    <input id="TedarikciDuzenleID" type="hidden" name="TedarikciDuzenleID" value="<?php echo $DuzenlemeID; ?>">

    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->
    <div id="kategori_2" class="col-md-6 form-select-sm">
        <label for="kategori2" class="form-label">Tedarikçi Listesi</label>
        <?php
        try {
            // Veritabanından tüm tedarikçileri almak için prepared statement kullanıyoruz
            $kategori_sonuc = $baglantim->query("SELECT * FROM tedarikci");
            $kategori_sonuc->setFetchMode(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            die("Veri çekilirken bir problem oluştu !!!" . $e->getMessage());
        }

        echo '<select name="kategori2" id="kategori2" class="form-select form-select-sm" size="20">';

        while ($kategori_satir = $kategori_sonuc->fetch()) {
            // Tedarikçi ID'lerini güvenli bir şekilde karşılaştırma
            $selected = ($DuzenlemeID == (int)$kategori_satir['id']) ? "selected='selected'" : '';
            $disabled = ($DuzenlemeID == (int)$kategori_satir['id']) ? '' : "disabled='disabled'";
            ?>
            <option value="<?php echo (int)$kategori_satir['id']; ?>" <?php echo $selected . ' ' . $disabled; ?>>
                <?php echo htmlspecialchars($kategori_satir['ad'], ENT_QUOTES, 'UTF-8'); ?>
            </option>
        <?php }
        echo '</select>';
        ?>
    </div>
    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->

    <div class="col-6 text-first">
        <span id="DuzenleMesaji"></span>
    </div>
    <div class="col-6 text-end">
        <button type="submit" class="btn btn-primary btn-sm">Kaydet</button>
    </div>
</form>