<?php
require_once 'inc/guvenlik.php';

// Tek sil
function rekursifSil($id, $baglantim)
{
    // Veriyi temizle (örneğin, sadece sayısal ID'leri kabul et)
    $id = filter_var($id, FILTER_SANITIZE_NUMBER_INT);

    // ID'nin sayısal bir değer olduğunu doğrula
    if (filter_var($id, FILTER_VALIDATE_INT)) {
        // Prepared statement kullanarak SQL injection'dan korunun
        $sorgu = $baglantim->prepare("SELECT * FROM tedarikci WHERE id = :id");
        $sorgu->bindParam(':id', $id, PDO::PARAM_INT);
        $sorgu->execute();

        if ($sorgu->rowCount() > 0) {
            // Silme işlemi yapılacaksa prepared statement kullanarak
            $silmeSorgusu = $baglantim->prepare("DELETE FROM tedarikci WHERE id = :id");
            $silmeSorgusu->bindParam(':id', $id, PDO::PARAM_INT);
            $silmeSorgusu->execute();

            // Silme başarılı ise mesaj dönebiliriz
            return ['success' => true, 'message' => 'Tedarikçi silindi.'];
        } else {
            return ['success' => false, 'message' => 'Tedarikçi bulunamadı.'];
        }
    } else {
        return ['success' => false, 'message' => 'Geçersiz ID.'];
    }
}

// POST verisini al
if (isset($_POST['id'])) {
    $result = rekursifSil($_POST['id'], $baglantim);
    echo json_encode($result);
}
?>
