$(document).ready(function() {
    var dropArea = $('#drop-area');
    var fileInput = $('#file-input');
    var preview = $('#file-preview');
    var modalPreview = $('#modal-file-preview');

    // Show file preview
    fileInput.on('change', function(e) {
        var files = e.target.files;
        modalPreview.empty();
        preview.empty();
        Array.from(files).forEach(function(file) {
            var reader = new FileReader();
            reader.onload = function(event) {
                var img = $('<img>').attr('src', event.target.result).addClass('img-fluid');
                var div = $('<div>').addClass('preview-item').append(img).append('<p>' + file.name + '</p>');
                preview.append(div);
                var modalDiv = $('<div>').addClass('preview-item').append(img).append('<p>' + file.name + '</p>');
                modalPreview.append(modalDiv);
            };
            reader.readAsDataURL(file);
        });
    });

    // Drag and drop functionality
    dropArea.on('dragover', function(e) {
        e.preventDefault();
        dropArea.css('background-color', '#e9ecef');
    });

    dropArea.on('dragleave', function(e) {
        dropArea.css('background-color', '#f8f9fa');
    });

    dropArea.on('drop', function(e) {
        e.preventDefault();
        dropArea.css('background-color', '#f8f9fa');
        fileInput[0].files = e.originalEvent.dataTransfer.files;
        var files = e.originalEvent.dataTransfer.files;
        preview.empty();
        Array.from(files).forEach(function(file) {
            var reader = new FileReader();
            reader.onload = function(event) {
                var img = $('<img>').attr('src', event.target.result).addClass('img-fluid');
                var div = $('<div>').addClass('preview-item').append(img).append('<p>' + file.name + '</p>');
                preview.append(div);
            };
            reader.readAsDataURL(file);
        });
    });

    // Upload button functionality (from drop area)
    $('#upload-btn').click(function() {
        var formData = new FormData();
        var files = fileInput[0].files;

        for (var i = 0; i < files.length; i++) {
            formData.append('files[]', files[i]);
        }

        $.ajax({
            url: 'upload.php',
            type: 'POST',
            data: formData,
            contentType: false,
            processData: false,
            success: function(response) {
                alert(response); // Success message from PHP
            },
            error: function(xhr, status, error) {
                alert('File upload failed: ' + error);
            }
        });
    });

    // Upload button functionality (from modal)
    $('#modal-upload-btn').click(function() {
        var formData = new FormData();
        var files = fileInput[0].files;

        for (var i = 0; i < files.length; i++) {
            formData.append('files[]', files[i]);
        }

        $.ajax({
            url: 'upload.php',
            type: 'POST',
            data: formData,
            contentType: false,
            processData: false,
            success: function(response) {
                alert(response); // Success message from PHP
                $('#fileModal').modal('hide');
            },
            error: function(xhr, status, error) {
                alert('File upload failed: ' + error);
            }
        });
    });
});
