<?php
require_once 'inc/guvenlik.php';

$DuzenlemeID = isset($_GET['UreticiDuzenleID']) ? (int) $_GET['UreticiDuzenleID'] : 0; // Güvenli ID al

// Veritabanı sorgusunu hazırlıyoruz
$query = "SELECT * FROM uretici WHERE id = :id";
$kd = $baglantim->prepare($query);
$kd->bindParam(':id', $DuzenlemeID, PDO::PARAM_INT);
$kd->execute();
$kds = $kd->fetch();

if (!$kds) {
    // Eğer ID ile eşleşen veri yoksa, hata mesajı döndür.
    die('Üretici bulunamadı!');
}
?>
<h5>Üretici Düzenle</h5>
<form id="uretici_duzenle" class="row g-3" action="uretici-duzenleDB.php" method="post">
    <div id="ad_222" class="col-md-6 form-select-sm">
        <label for="ad2222" class="form-label">Yeni Ad</label>
        <input type="text" name="ad2222" value="<?php echo htmlspecialchars($kds['ad']); ?>"
               class="form-control form-select-sm input_ad2" id="ad_uretici">
    </div>

    <input id="UreticiDuzenleID" type="hidden" name="UreticiDuzenleID" value="<?php echo $DuzenlemeID; ?>">

    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->
    <div id="kategori_2" class="col-md-6 form-select-sm">
        <label for="kategori2" class="form-label">Üretici Listesi</label>
        <?php
        try {
            $kategori = "SELECT * FROM uretici";
            $kategori_sonuc = $baglantim->query($kategori);
            $kategori_sonuc->setFetchMode(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            die("Veri çekilirken bir problem oluştu: " . $e->getMessage());
        }
        echo '<select name="kategori2" id="kategori2" class="form-select form-select-sm" size="20">';

        while ($kategori_satir = $kategori_sonuc->fetch()) {

            // verilerin virgülden önceki değerini alalım
            $id = (int)$DuzenlemeID; // Set edilecek ID

            $isaretle = ($id == (int)$kategori_satir['id']) ? "selected='selected'" : '';
            $devredisi = ($id == (int)$kategori_satir['id']) ? '' : "disabled='disabled'";

            ?>
            <option value="<?php echo htmlspecialchars($kategori_satir['id']); ?>" <?php echo $devredisi . $isaretle; ?>>
                <?php echo htmlspecialchars($kategori_satir['ad']); ?>
            </option>
        <?php }
        echo '</select>';
        ?>
    </div>
    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->

    <div class="col-6 text-first">
        <span id="DuzenleMesaji"></span>
    </div>
    <div class="col-6 text-end">
        <button type="submit" class="btn btn-primary btn-sm">Kaydet</button>
    </div>
</form>
