<?php
require_once 'inc/guvenlik.php';

$errors = [];
$data = [];

// Gerekli alanları kontrol et
if (empty($_POST['ad22'])) {
    $errors['ad22'] = 'Zorunlu alan';
}

if (!empty($errors)) {
    $data['success'] = false;
    $data['errors'] = $errors;
} else {
    $data['success'] = true;
    $data['message'] = 'Eklendi!';

    // Verileri al ve temizle
    $KategoriDuzenleID = isset($_POST['UreticiDuzenleID']) ? (int) $_POST['UreticiDuzenleID'] : 0;
    $ad22 = isset($_POST['ad22']) ? trim($_POST['ad22']) : '';

    // Veritabanı işlemi için güvenli hale getirme
    if (empty($ad22)) {
        $data['success'] = false;
        $data['errors'] = ['ad22' => 'Geçersiz veya boş ad alanı'];
        echo json_encode($data);
        exit;
    }

    // UPDATE işlemi için güvenli SQL sorgusu
    $sql = "UPDATE uretici SET ad = :ad WHERE id = :id";
    $kategori_duzenle = $baglantim->prepare($sql);

    // Parametreleri güvenli şekilde bağlayarak sorguyu çalıştır
    $kategori_duzenle->bindParam(':ad', $ad22, PDO::PARAM_STR);
    $kategori_duzenle->bindParam(':id', $KategoriDuzenleID, PDO::PARAM_INT);

    // Sorguyu çalıştır
    $kategori_duzenle->execute();

    // Sorgu sonucuna göre geri bildirim
    if ($kategori_duzenle->rowCount() > 0) {
        $data['success'] = true;
        $data['message'] = 'Kayıt Başarılı!';
    } else {
        $data['success'] = false;
        $data['errors'] = $errors;
        $data['message2'] = 'Değişiklik olmadı!';
    }
}

echo json_encode($data);
?>