<?php
require_once 'inc/guvenlik.php';

// Tek sil
function rekursifSil($id, $baglantim)
{
    // Veriyi temizle ve doğrula (sayısal ID'leri kabul et)
    $id = filter_var($id, FILTER_SANITIZE_NUMBER_INT);

    // ID'nin geçerli bir tamsayı olup olmadığını kontrol et
    if (filter_var($id, FILTER_VALIDATE_INT)) {
        // Prepared statement kullanarak SQL injection'a karşı koruma
        $sorgu = $baglantim->prepare("SELECT * FROM uretici WHERE id = :id");
        $sorgu->bindParam(':id', $id, PDO::PARAM_INT);
        $sorgu->execute();

        // Eğer veritabanında böyle bir kayıt varsa, silme işlemi gerçekleştir
        if ($sorgu->rowCount() > 0) {
            // Silme işlemini prepared statement ile yap
            $silmeSorgusu = $baglantim->prepare("DELETE FROM uretici WHERE id = :id");
            $silmeSorgusu->bindParam(':id', $id, PDO::PARAM_INT);
            $silmeSorgusu->execute();

            return ['success' => true, 'message' => 'Üretici başarıyla silindi.'];
        } else {
            return ['success' => false, 'message' => 'Üretici bulunamadı.'];
        }
    } else {
        return ['success' => false, 'message' => 'Geçersiz ID.'];
    }
}

// POST verisini al
if (isset($_POST['id'])) {
    $result = rekursifSil($_POST['id'], $baglantim);
    echo json_encode($result);
}
?>
