<?php
// guvenlik kodlarini dahil et
require_once 'inc/guvenlik.php';

// Check if the user is logged in
if (isset($_SESSION['eposta'])) {
    $eposta = $_SESSION['eposta']; // Get the logged-in user's email

    // Veritabanı bağlantısı
    require_once 'inc/baglan.php';

    if (isset($_POST['current_password']) && isset($_POST['new_password']) && isset($_POST['confirm_password'])) {
        $currentPassword = $_POST['current_password'];
        $newPassword = $_POST['new_password'];
        $confirmPassword = $_POST['confirm_password'];

        // Veritabanında kullanıcıyı sorguluyoruz
        $query = "SELECT * FROM uye WHERE eposta = :eposta";
        $stmt = $baglantim->prepare($query);
        $stmt->bindParam(':eposta', $eposta);
        $stmt->execute();
        $user = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($user && password_verify($currentPassword, $user['parola'])) {
            // Eğer eski şifre doğruysa ve yeni şifreler eşleşiyorsa
            if ($newPassword === $confirmPassword) {
                $hashliParola = password_hash($newPassword, PASSWORD_BCRYPT);

                // Yeni şifreyi veritabanına kaydediyoruz
                $updateQuery = "UPDATE uye SET parola = :parola WHERE eposta = :eposta";
                $updateStmt = $baglantim->prepare($updateQuery);
                $updateStmt->bindParam(':parola', $hashliParola);
                $updateStmt->bindParam(':eposta', $eposta);
                $updateStmt->execute();

                echo '<div class="alert alert-success">Şifreniz başarıyla güncellenmiştir.</div>';
            } else {
                echo '<div class="alert alert-danger">Yeni şifreler eşleşmiyor!</div>';
            }
        } else {
            echo '<div class="alert alert-danger">Eski şifreniz yanlış!</div>';
        }
    }
} else {
    echo '<div class="alert alert-danger">Lütfen önce giriş yapın!</div>';
}
?>

<!-- Modal for Password Change -->
<div class="modal" id="changePasswordModal" tabindex="-1" aria-labelledby="changePasswordModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="changePasswordModalLabel">Şifrenizi Değiştirin</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form method="POST" action="">
                    <div class="mb-3">
                        <label for="current_password" class="form-label">Eski Parola</label>
                        <input type="password" class="form-control" id="current_password" name="current_password" required>
                    </div>
                    <div class="mb-3">
                        <label for="new_password" class="form-label">Yeni Parola</label>
                        <input type="password" class="form-control" id="new_password" name="new_password" required>
                    </div>
                    <div class="mb-3">
                        <label for="confirm_password" class="form-label">Yeni Parolayı Onayla</label>
                        <input type="password" class="form-control" id="confirm_password" name="confirm_password" required>
                    </div>
                    <button type="submit" class="btn btn-primary">Şifreyi Değiştir</button>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- Button to trigger modal -->
<button type="button" class="btn btn-warning" data-bs-toggle="modal" data-bs-target="#changePasswordModal">
    Şifrenizi Değiştirin
</button>
